Bug 810284 - please backport r12338 - error when reading libstdc++ debuginfo
please backport r12338 - error when reading libstdc++ debuginfo
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 10:19 EDT by Tom Tromey
Modified: 2014-08-11 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: valgrind-3.7.0-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-08 00:21:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Tromey 2012-04-05 10:19:33 EDT
I saw some errors from valgrind when it tried to
read the libstdc++ debuginfo.

I tracked this down to this upstream bug:

https://bugs.kde.org/show_bug.cgi?id=278313

Which is fixed in valgrind:

r12338 | bart | 2012-01-16 10:11:07 -0700 (Mon, 16 Jan 2012) | 1 line

debug info reader: Add support for DW_TAG_unspecified_type. Closes #278313.

This is simple and maybe worth a backport.
Comment 1 Fedora Update System 2012-05-07 08:39:29 EDT
valgrind-3.7.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/valgrind-3.7.0-4.fc17
Comment 2 Fedora Update System 2012-05-08 00:21:09 EDT
valgrind-3.7.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.